<?php
session_start();
include("../param.inc");
//       全員の回答を表示 
function save_allscore($path) {
	global $no, $uid;
	$n = count($no);   //  ユーザ数
	$data = NULL;
	for ($i=0; $i<$n; $i++) {
		$scorefile = "$path/" . $uid[$i];
		if (file_exists($scorefile)) {
			$fp = fopen($scorefile, "r");
			while ($tmp = fgets($fp, 4096)) $data[] = $tmp;  // 回答を取り込む
			fclose($fp);
		}
	}
	$n = count($data);
	if ($n > 0) {  // 回答があれば
		usort($data, "sort_by_no");  // 出席番号順にソート
		if (isset($_POST[$path])) {  // 保存ボタンが押されたら
			$fp = fopen($path . "/tmp.csv", "w");
			$header = "番号,氏名,回答日時,";
			$val = explode(",", $data[0]); // カンマで分割
			$j = count($val);
			for ($i=3; $i < $j-1; $i++)  // 質問番号を出力
			$header = $header . ($i-2) . ",";
			$header = $header . "\n";
			fputs($fp, mb_convert_encoding($header,"SJIS","auto"));
			for ($i = 0; $i<$n; $i++)
			fputs($fp, mb_convert_encoding($data[$i],"SJIS","auto"));
			fclose($fp);
			print('<DIV align="right">ダウンロード：<A href="' . $path . '/tmp.csv">回答ファイル</A></DIV>' . "\n");
		}
		// 回答表を表示 
		print("<TABLE border=1><TR><TH>番号</TH><TH>氏名</TH><TH>回答日時</TH>\n");
		$val = explode(",", $data[0]); // カンマで分割
		$j = count($val);
		for ($i=3; $i < $j-1; $i++)  // 質問番号を出力
		print("<TH>" . ($i-2) . "</TH>");
		for ($i = 0; $i < $n; $i++) {
			$val = explode(",", $data[$i]); // カンマで分割
			print("<TR><TD align='center'>$val[0]</TD><TD>$val[1]</TD><TD align='center'>$val[2]</TD>\n");
			for ($k = 3; $k< $j-1; $k++)
			print("<TD align='center'>$val[$k]</TD>");  // 生徒の回答
			print("</TR>\n");
		}
		print("</TABLE>\n");
	} else print_error("回答がありません");
}

print_header("アンケート");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('ログインしてください');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>ログインページへ</A></CENTER>");
} else if ($_SESSION['admin']==0) { // 管理者でない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('あなたは管理者ではありません');");
	print("</SCRIPT>");
} else {
	print_headline("締切り後の回答の保存");
	?>
下のボタンをクリックすると，a?/tmp.csv ファイルを作成します。
<BR>
たとえば，a1/tmp.csv は第１回アンケートの回答ファイルです。

<FORM method="POST" action="result_listup.php">
<CENTER><?php
print_title1("過去の回答");

$path = 0;
for ($i=1; $i<=20; $i++) {
	$x = "a" . $i;
	if (is_dir($x)) {
		if (isset($_POST[$x])) $path = $i;
		print('<INPUT type="submit" value="第' . $i . '回" name="' .$x. '">　');
	}
}
if ($path > 0) {
	print("<H4>第 $path 回</H4>\n");
	save_allscore("a". $path);
}
?></CENTER>
</FORM>
<?php
} print_copyright();
?>

</BODY>
</HTML>
